db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andrew McIntyre <mcintyr...@gmail.com>
Subject Re: ATTENTION: need to set jdk16.javac in ant.properties to build with JDK 1.6
Date Wed, 08 Feb 2006 00:17:12 GMT

On Feb 7, 2006, at 3:51 PM, David W. Van Couvering wrote:

> Attention to those of you building with JDK 1.6 to get JDBC4  
> functionality.  Previously you needed to set jdk16 in your  
> ant.properties.  With revision 375777, you now also need to say  
> jdk16.javac in your ant.properties.  Please see BUILDING.txt (which  
> I just updated) for more information.

Hi David,

 From the update to BUILDING.txt:

>  This can not be determined from the $jdk16 proerty because of the
>  platform-specific extension on executables (e.g. ".exe" on Windows
>  platforms)

Won't Ant on Windows properly fork an executable if you leave off  
the .exe? It sure seems that way, because if I set:

jdk16.javac=/derby-trunk/jdk16/bin/java

It chugs along just fine and compiles the JDBC 4.0 classes.

andrew




Mime
View raw message